// Filename 		: ANIM.C
// Coded by 		: Scott Evans
// Created/Modified : 21/3/98
// Description		: Sprite animations

#include "anim.h"


u_byte xplo_animation[]={EXPLOSION_START,EXPLOSION_START+1,EXPLOSION_START+2,EXPLOSION_START+3,
					     EXPLOSION_START+4,EXPLOSION_START+5,EXPLOSION_START+6,EXPLOSION_START+7,
                         EXPLOSION_START+8,EXPLOSION_START+9,EXPLOSION_END,0};
                         
u_byte start_block_animation[]={STARTING_BLOCK_UP,STARTING_BLOCK_DOWN,0};

u_byte bloke_moving_animation[]={BLOKE_MOVING_START,BLOKE_MOVING_START+1,BLOKE_MOVING_START+2,BLOKE_MOVING_START+3,BLOKE_MOVING_END};

u_byte bloke_dying_animation[]={BLOKE_DYING_START,BLOKE_DYING_START+1,BLOKE_DYING_START+2,BLOKE_DYING_START+3,BLOKE_DYING_END,-1}; 

u_byte left_gun_anim[]={GUN_FACING_LEFT_MAP_BLOCK+1,GUN_FACING_LEFT_MAP_BLOCK,GUN_FACING_LEFT_MAP_BLOCK+2,0};

u_byte right_gun_anim[]={GUN_FACING_RIGHT_MAP_BLOCK+1,GUN_FACING_RIGHT_MAP_BLOCK,GUN_FACING_RIGHT_MAP_BLOCK+2,0};

u_byte up_fan_anim[]={FAN_FACING_UP_MAP_BLOCK,FAN_FACING_UP_MAP_BLOCK+1,FAN_FACING_UP_MAP_BLOCK+2,FAN_FACING_UP_MAP_BLOCK+3,FAN_FACING_UP_MAP_BLOCK+4,
			       	  FAN_FACING_UP_MAP_BLOCK+3,FAN_FACING_UP_MAP_BLOCK+2,FAN_FACING_UP_MAP_BLOCK+1};
			       
u_byte down_fan_anim[]={FAN_FACING_DOWN_MAP_BLOCK,FAN_FACING_DOWN_MAP_BLOCK+1,FAN_FACING_DOWN_MAP_BLOCK+2,FAN_FACING_DOWN_MAP_BLOCK+3,FAN_FACING_DOWN_MAP_BLOCK+4,
			       	    FAN_FACING_DOWN_MAP_BLOCK+3,FAN_FACING_DOWN_MAP_BLOCK+2,FAN_FACING_DOWN_MAP_BLOCK+1};
			       
u_byte left_fan_anim[]={FAN_FACING_LEFT_MAP_BLOCK,FAN_FACING_LEFT_MAP_BLOCK+1,FAN_FACING_LEFT_MAP_BLOCK+2,FAN_FACING_LEFT_MAP_BLOCK+3,FAN_FACING_LEFT_MAP_BLOCK+4,
			       	    FAN_FACING_LEFT_MAP_BLOCK+3,FAN_FACING_LEFT_MAP_BLOCK+2,FAN_FACING_LEFT_MAP_BLOCK+1};
			       
u_byte right_fan_anim[]={FAN_FACING_RIGHT_MAP_BLOCK,FAN_FACING_RIGHT_MAP_BLOCK+1,FAN_FACING_RIGHT_MAP_BLOCK+2,FAN_FACING_RIGHT_MAP_BLOCK+3,FAN_FACING_RIGHT_MAP_BLOCK+4,
			       		 FAN_FACING_RIGHT_MAP_BLOCK+3,FAN_FACING_RIGHT_MAP_BLOCK+2,FAN_FACING_RIGHT_MAP_BLOCK+1};