// Filename 		: CHEATS.H
// Coded by 		: Scott Evans
// Created/Modified : 17/8/98
// Description		: B2 game cheat modes


#ifndef _CHEATS_H_
#define _CHEATS_H_


#ifdef YAROZE

#include <libps.h>

#else

#include <sys/types.h>
#include <kernel.h>
#include <libgte.h>
#include <libgpu.h>
#include <libgs.h>
#include <libetc.h>
#include <libsn.h>

#endif

#include <mytypes.h>
#include <mylib.h>
#include <printfm.h>

#include "bouncer.h"


#define MAX_CHEATS			8
#define CODE_LENGTH			8
#define CODE_TERMINATOR		-1


// Cheat codes

enum
{
	CC_NONE=0,
	CC_INFINITE_LIVES=1,
	CC_INFINITE_BOMBS=2,
	CC_INFINITE_TIME=4,
	CC_LEVEL_SKIP=8,
	CC_LARGE_BONUSES=16,
	CC_LARGE_BLOCKS=32,
	CC_BONUS_ON=64,
	//CC_MEMORYCARDS_ACTIVE=128
	CC_DISABLE_ALL=128
};


typedef struct
{
	word *codes;
	u_byte current;
	u_byte started;
	u_byte next;
}GAME_CHEATS;


void InitCheatCodes(void);
void CheckForCheats(void);


#endif