// Filename 		: INTRO.H
// Coded by 		: Scott Evans
// Created/Modified : 27/2/98
// Description		: Bouncer 2 intro


#ifndef _INTRO_H_
#define _INTRO_H_


#ifdef YAROZE

#include <libps.h>
#include <yaroze.h>

#else

#include <sys/types.h>
#include <kernel.h>
#include <libgte.h>
#include <libgpu.h>
#include <libgs.h>
#include <libetc.h>
#include <libsn.h>

#endif

#include <mytypes.h>
#include <mylib.h>
#include <stosspr.h>
#include <sprites.h>
#include <objects.h>
#include <font.h>
#include <fixedp.h>
#include <sound.h>
#include <rprintf.h>

#include "bouncer.h"


enum
{
	INTRO_TEXT_BRIGHTNESS,
	INTRO_MIN_BRIGHTNESS,
	INTRO_MAX_BRIGHTNESS
};

	
void InitIntroObjects(void);
void KillIntroObjects(OBJECT_LIST_HEADER *);
void ShowIntro(void);
void HandleIntroObjects(OBJECT *);
void HandleNumber2(OBJECT *);
void Intro(void);


#endif
