PROJECT=mapedit
COPTS=-DPAL -DPSX -DMAPEDIT -O3
LOPTS=-Xlinker -Ttext -Xlinker 80100000
OBJS=map_objs/*.o ../../lib/*.o
COMPILER=ccpsx

all: $(PROJECT).o backgrnd.o
	psylink /c @linkfile.lnk,$(PROJECT).cpe,$(PROJECT).sym,$(PROJECT).map

$(PROJECT).o: $(PROJECT).c $(PROJECT).h
	$(COMPILER) -DSYSTEM_12 $(COPTS) -c $(PROJECT).c -o map_objs/$(PROJECT).o
		 
backgrnd.o: backgrnd.c backgrnd.h
	$(COMPILER) $(COPTS) -c backgrnd.c -o map_objs/backgrnd.o

load:
	pqbload ..\sprites\blocks 80090000
	pqbload level3.map 80096000 
